Tasuku
ReferenceAPI referenceWorkflows

Read one workflow run and its attempts

GET/organizations/{organization_id}/workflow-runs/{run_id}

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
run_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/workflow-runs/string"
{  "data": {    "attempts": [      {        "attempt": 1,        "exit_reason": "string",        "finished_at": "string",        "id": "string",        "retryable": true,        "sandbox_id": "string",        "sandbox_provider": "string",        "started_at": "string",        "worker_id": "string"      }    ],    "run": {      "base_sha": "string",      "created_at": "string",      "current_phase": "string",      "error_code": "string",      "error_message": "string",      "finished_at": "string",      "head_sha": "string",      "id": "string",      "input_snapshot": {        "property1": null,        "property2": null      },      "model": "string",      "organization_id": "string",      "provider": "string",      "pull_request_number": 1,      "repository_id": "string",      "sandbox_id": "string",      "sandbox_provider": "string",      "started_at": "string",      "status": "RECEIVED",      "updated_at": "string",      "usage": {        "property1": null,        "property2": null      },      "workflow_type": "string"    }  }}